#ifndef OFACECAPTURE_H__
#define OFACECAPTURE_H__

enum
{
	FACECAPTURE_FILENAME  = 1000,
	FACECAPTURE_UID,
	FACECAPTURE_RELOAD,
	FACECAPTURE_CAMERA,
	FACECAPTURE_FRAMECOUNT,
	FACECAPTURE_SETTIMELINE,	
	FACECAPTURE_ADDSOUND,
	FACECAPTURE_ADDCAMERA,
	FACECAPTURE_USESINGLETEXTURE,
	FACECAPTURE_SETDEFAULTUVS,
	FACECAPTURE_FRAMETEXTURE,
	FACECAPTURE_ADDEYES,
	
	FACECAPTURE_STARTFRAME,
	FACECAPTURE_RANGESTART,
	FACECAPTURE_RANGELENGTH,
	FACECAPTURE_LOOP,	
	
	FACECAPTURE_ROTATION,	
	FACECAPTURE_OFFSET,
	
	FACECAPTURE_CREATEPOSTMORPH,
	FACECAPTURE_SETNEUTRALFRAME,
	FACECAPTURE_CLEARNEUTRALFRAME,
	
	FACECAPTURE_SOUNDTOGGLE,
	FACECAPTURE_UNUSED,
	
	FACECAPTURE_MATRICES,
	FACECAPTURE_MATRIX_FACE,
	FACECAPTURE_MATRIX_CAMERA,
	FACECAPTURE_MATRIX_NEUTRALFRAME,
	
	FACECAPTURE_LOSTFRAME,
	FACECAPTURE_LOSTFRAME_HOLD,
	FACECAPTURE_LOSTFRAME_BLEND,
	FACECAPTURE_LOSTFRAME_HIDE,
	
	FACECAPTURE_CALIBRATE_GROUP,
	FACECAPTURE_CALIBRATE,
	FACECAPTURE_CALIBRATE_NEUTRAL,
	FACECAPTURE_CALIBRATE_MOVEMENT,
	
	FACECAPTURE_CACHEOPENGL,
	FACECAPTURE_CACHECANCEL,
	
	FACECAPTURE_COPYFILESTOPROJECT,
	
	FACECAPTURE_FACEMESH_LINK,
	FACECAPTURE_FACEMESH_ADD,
	
	FACECAPTURE_HELP,
	FACECAPTURE_EXTRADATA,
	FACECAPTURE_FACEMESH_QUADMESH,
	
	FACECAPTURE_FLIP_LEFTRIGHT,
	
	FACECAPTURE_MATRIX_FACE_GROUP = 1100,
	FACECAPTURE_MATRIX_FACE_POSITION,
	FACECAPTURE_MATRIX_FACE_ROTATION,
	FACECAPTURE_MATRIX_CAMERA_GROUP,
	FACECAPTURE_MATRIX_CAMERA_POSITION,
	FACECAPTURE_MATRIX_CAMERA_ROTATION,
	FACECAPTURE_MATRIX_NEUTRALFRAME_GROUP,
	FACECAPTURE_MATRIX_NEUTRALFRAME_POSITION,
    FACECAPTURE_MATRIX_NEUTRALFRAME_ROTATION,
	
	FACECAPTURE_ORIENTATION = 1200,
	FACECAPTURE_ORIENTATION_Z_POS = 0,
	FACECAPTURE_ORIENTATION_Z_NEG = 1,
    
	FACECAPTURE_BLENDSHAPES = 2000,
	FACECAPTURE_BLENDSHAPE_LEFTEYE,
	FACECAPTURE_BLENDSHAPE_RIGHTEYE,
	FACECAPTURE_BLENDSHAPE_JAW,
	FACECAPTURE_BLENDSHAPE_MOUTH,
	FACECAPTURE_BLENDSHAPE_BROW,
	FACECAPTURE_BLENDSHAPE_CHEEK,
    FACECAPTURE_BLENDSHAPE_NOSE,
	FACECAPTURE_BLENDSHAPE_TONGUE,
	
	FACECAPTURE_BLENDSHAPE_LEFTEYE_BLINK = 2100,
	FACECAPTURE_BLENDSHAPE_LEFTEYE_LOOKDOWN,
	FACECAPTURE_BLENDSHAPE_LEFTEYE_LOOKIN,
	FACECAPTURE_BLENDSHAPE_LEFTEYE_LOOKOUT,
	FACECAPTURE_BLENDSHAPE_LEFTEYE_LOOKUP,
	FACECAPTURE_BLENDSHAPE_LEFTEYE_SQUINT,
	FACECAPTURE_BLENDSHAPE_LEFTEYE_WIDE,
	
	FACECAPTURE_BLENDSHAPE_RIGHTEYE_BLINK,
	FACECAPTURE_BLENDSHAPE_RIGHTEYE_LOOKDOWN,
	FACECAPTURE_BLENDSHAPE_RIGHTEYE_LOOKIN,
	FACECAPTURE_BLENDSHAPE_RIGHTEYE_LOOKOUT,
	FACECAPTURE_BLENDSHAPE_RIGHTEYE_LOOKUP,
	FACECAPTURE_BLENDSHAPE_RIGHTEYE_SQUINT,
	FACECAPTURE_BLENDSHAPE_RIGHTEYE_WIDE,
	
	FACECAPTURE_BLENDSHAPE_JAW_FORWARD,
	FACECAPTURE_BLENDSHAPE_JAW_LEFT,
	FACECAPTURE_BLENDSHAPE_JAW_RIGHT,
	FACECAPTURE_BLENDSHAPE_JAW_OPEN,
	
	FACECAPTURE_BLENDSHAPE_MOUTH_CLOSE,
	FACECAPTURE_BLENDSHAPE_MOUTH_FUNNEL,
	FACECAPTURE_BLENDSHAPE_MOUTH_PUCKER,
	FACECAPTURE_BLENDSHAPE_MOUTH_LEFT,
	FACECAPTURE_BLENDSHAPE_MOUTH_RIGHT,
	FACECAPTURE_BLENDSHAPE_MOUTH_SMILELEFT,
	FACECAPTURE_BLENDSHAPE_MOUTH_SMILERIGHT,
	FACECAPTURE_BLENDSHAPE_MOUTH_FROWNLEFT,
	FACECAPTURE_BLENDSHAPE_MOUTH_FROWNRIGHT,
	FACECAPTURE_BLENDSHAPE_MOUTH_DIMPLELEFT,
	FACECAPTURE_BLENDSHAPE_MOUTH_DIMPLERIGHT,
	FACECAPTURE_BLENDSHAPE_MOUTH_STRETCHLEFT,
	FACECAPTURE_BLENDSHAPE_MOUTH_STRETCHRIGHT,
	FACECAPTURE_BLENDSHAPE_MOUTH_ROLLLOWER,
	FACECAPTURE_BLENDSHAPE_MOUTH_ROLLUPPER,
	FACECAPTURE_BLENDSHAPE_MOUTH_SHRUGLOWER,
	FACECAPTURE_BLENDSHAPE_MOUTH_SHRUGUPPER,
	FACECAPTURE_BLENDSHAPE_MOUTH_PRESSLEFT,
	FACECAPTURE_BLENDSHAPE_MOUTH_PRESSRIGHT,
	FACECAPTURE_BLENDSHAPE_MOUTH_LOWERDOWNLEFT,
	FACECAPTURE_BLENDSHAPE_MOUTH_LOWERDOWNRIGHT,
	FACECAPTURE_BLENDSHAPE_MOUTH_UPPERUPLEFT,
	FACECAPTURE_BLENDSHAPE_MOUTH_UPPERUPRIGHT,
	
	FACECAPTURE_BLENDSHAPE_BROW_DOWNLEFT,
	FACECAPTURE_BLENDSHAPE_BROW_DOWNRIGHT,
	FACECAPTURE_BLENDSHAPE_BROW_INNERUP,
	FACECAPTURE_BLENDSHAPE_BROW_OUTERUPLEFT,
	FACECAPTURE_BLENDSHAPE_BROW_OUTERUPRIGHT,
	FACECAPTURE_BLENDSHAPE_CHEEK_PUFF,
	FACECAPTURE_BLENDSHAPE_CHEEK_SQUINTLEFT,
	FACECAPTURE_BLENDSHAPE_CHEEK_SQUINTRIGHT,
	FACECAPTURE_BLENDSHAPE_NOSE_SNEERLEFT,
	FACECAPTURE_BLENDSHAPE_NOSE_SNEERRIGHT,
    FACECAPTURE_BLENDSHAPE_TONGUE_OUT,
	
	FACECAPTURE_LIGHT = 2200,
	FACECAPTURE_LIGHT_DIRECTION,
	FACECAPTURE_LIGHT_INTENSITY,
	FACECAPTURE_LIGHT_SPH,
    
    FACECAPTURE_EYETRACKING = 2300,
    FACECAPTURE_EYETRACKING_LEFTEYE,
	FACECAPTURE_EYETRACKING_LEFTEYE_MATRIX,
    FACECAPTURE_EYETRACKING_LEFTEYE_POSITION,
    FACECAPTURE_EYETRACKING_LEFTEYE_ROTATION,
	
    FACECAPTURE_EYETRACKING_RIGHTEYE,
	FACECAPTURE_EYETRACKING_RIGHTEYE_MATRIX,
    FACECAPTURE_EYETRACKING_RIGHTEYE_POSITION,
    FACECAPTURE_EYETRACKING_RIGHTEYE_ROTATION,

    FACECAPTURE_EYETRACKING_LOOKATPOINT,
};

#endif // OFACECAPTURE_H__
